package com.jxdinfo.hussar.core.bouncycastle.crypto.params;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECConstants;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECCurve;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECPoint;
import java.math.BigInteger;

public class ECDomainParameters implements ECConstants {
  BigInteger j;
  
  ECPoint G;
  
  ECCurve C;
  
  byte[] e;
  
  BigInteger volatile;
  
  public ECCurve getCurve() {
    return this.C;
  }
  
  public ECPoint getG() {
    return this.G;
  }
  
  public ECDomainParameters(ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger1, BigInteger bigInteger2) {
    this.C = eCCurve;
    this.G = eCPoint;
    this.j = bigInteger1;
    this.volatile = bigInteger2;
    this.e = null;
  }
  
  public ECDomainParameters(ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger) {
    this.C = eCCurve;
    this.G = eCPoint;
    this.j = bigInteger;
    this.volatile = ONE;
    this.e = null;
  }
  
  public ECDomainParameters(ECCurve eCCurve, ECPoint eCPoint, BigInteger bigInteger1, BigInteger bigInteger2, byte[] arrayOfByte) {
    this.C = eCCurve;
    this.G = eCPoint;
    this.j = bigInteger1;
    this.volatile = bigInteger2;
    this.e = arrayOfByte;
  }
  
  public BigInteger getN() {
    return this.j;
  }
  
  public BigInteger getH() {
    return this.volatile;
  }
  
  public byte[] getSeed() {
    return this.e;
  }
}
